Auth
Endpoints
- GETGet current Mem0 configuration
- GETList bundled LLM and embedder providers
- POSTConfigure Mem0
- POSTGenerate custom instructions from a use case
- POSTCreate memories
- GETGet memories
- GETGet a memory
- POSTSearch memories
- PUTUpdate a memory
- GETGet memory history
- DELETEDelete a memory
- DELETEDelete all memories
- POSTReset all memories
Requests
Retrieve stored memories. Lists all memories when no identifier is provided (admin only).
Last updated Oct 11, 2026
GET
/memoriesParameters
user_idstringrun_idstringagent_idstringtop_kintegershow_expiredbooleanResponses
200Successful Response
application/jsonTry It
GET
/memoriesGet memories
curl --request GET \
--url '/memories' \
--header 'Authorization: Bearer <token>'Was this page helpful?